### Virtual Method

# Vips SourceCustom read

#### Declaration [src]

    gint64
    read (
      VipsSourceCustom* source,
      void* buffer,
      gint64 length
    )

#### Description

No description available.

#### Parameters

`buffer`

  Type: `void*`

  No description available.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

`length`

  Type: `gint64`

  No description available.

#### Return value

Type: `gint64`

No description available.